Bug 59868 - Writer Freezes after adding any character after last one in word split due to too narrow column in table
Summary: Writer Freezes after adding any character after last one in word split due to...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 93112 (view as bug list)
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2013-01-25 21:53 UTC by marian
Modified: 2018-08-26 17:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
cursor indicates place where typing any character generates crash. (45.11 KB, image/png)
2013-01-25 21:53 UTC, marian
Details
file generating problem (10.66 KB, application/vnd.oasis.opendocument.text)
2013-01-27 00:36 UTC, marian
Details
some bts at random with master sources (5.07 KB, application/bzip2)
2013-01-27 13:09 UTC, Julien Nabet
Details
Pdf from where the words copied (112.61 KB, application/pdf)
2016-09-20 15:15 UTC, Aravind G
Details
File which freezes (26.82 KB, application/vnd.oasis.opendocument.text)
2016-09-20 15:16 UTC, Aravind G
Details
see the frozen writer and the unneccessary cursor type. also the relevant row. (155.49 KB, image/png)
2016-09-20 15:19 UTC, Aravind G
Details

Note You need to log in before you can comment on or make changes to this bug.
Description marian 2013-01-25 21:53:47 UTC
Created attachment 73663 [details]
cursor indicates place where typing any character generates crash.

When editing word in table, Writer crashed after trying to adding any character after last letter in current line - situation is clearly visible in attached file. It happens only when word is split.

After this program is unable to work - must be killed from task manager.
Comment 1 Julien Nabet 2013-01-26 18:30:08 UTC
Comment on attachment 73663 [details]
cursor indicates place where typing any character generates crash.

Mimetype fixed
Comment 2 Julien Nabet 2013-01-26 19:21:04 UTC
marian: could you attach the file so we can try to reproduce this?

It could be interesting you retrieve a backtrace? (see https://wiki.documentfoundation.org/BugReport#How_to_get_a_backtrace_.28on_Linux.29)
Comment 3 marian 2013-01-27 00:36:44 UTC
Created attachment 73702 [details]
file generating problem
Comment 4 marian 2013-01-27 00:39:45 UTC
file attached, for now i can't add backtrace - dependency issue
Comment 5 Julien Nabet 2013-01-27 13:09:49 UTC
Created attachment 73729 [details]
some bts at random with master sources

On pc Debian x86-64 with master sources updated today, I didn't reproduce the crash (or didn't wait for it enough).
Anyway, I attached 3 bts at random.
Comment 6 Julien Nabet 2013-01-27 13:21:29 UTC
marian: with 3.6 sources, I don't reproduce any crash but have also the freeze.
Could you confirm it's a crash you have and not a freeze?
Comment 7 marian 2013-01-27 14:43:12 UTC
Of course it's freeze, i used wrong a term, my fault
Comment 8 Julien Nabet 2013-01-27 17:27:10 UTC
Marian: thank you for your feedback. I update title + status
Comment 9 Julien Nabet 2013-01-27 17:31:44 UTC
Caolán: bts at from freeze show vcl, icu, glyph parts, one for you or rather Michael S/Cédric since it's Writer?
Comment 10 retired 2014-08-25 10:03:44 UTC
Wow. Happens here on OSX 10.9.4 as well. Platform > All. Raising to High.
Comment 11 Gordo 2015-04-26 19:45:04 UTC
Still reproducible in 4.4.2.2.

How to reproduce from scratch:
1. New Text Document.
2. Insert -> Table, 2x2 is fine.
3. Adjust first column width to 2cm.
4. In first cell, type "An experiment".
Note:
The paragraph is now on three lines with the second line being "experimen".
5. Place cursor after "experimen".
6. Type something.
Result:
Freeze

A word has to be split over two lines and the paragraph has to be a minimum of three lines for this to happen.

Type "experimental" in another cell and adjust column width until the word is split over three lines like this "exper", "iment", and "al".  Place the cursor after "exper" and type something.  No freeze.  Undo.  Place cursor after "iment" and type something.  Freeze.

When there is no hyphenation, Writer puts the word to the next line, but a table with a narrow column maybe befuddles that because it's not taking into account how many lines the word is split over so it doesn't know how to adjust.

Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Comment 12 Gordo 2015-04-27 18:45:40 UTC
This bug also affects page columns, section columns, frames, and captions, but only if you are going for that special stylistic choice that says, hey, website names, app names, and speech with missing letters are not where it's at anymore.  Now it's all about stacking letters and syllables which is going to get the attention I need, oblivious to the fact that somewhere amongst a billion voices there is someone yearning to speak English because they think it would be cool.

Sorry about that.
Comment 13 Gordo 2015-08-05 19:00:58 UTC
*** Bug 93112 has been marked as a duplicate of this bug. ***
Comment 14 QA Administrators 2016-09-20 10:20:50 UTC Comment hidden (obsolete)
Comment 15 Aravind G 2016-09-20 15:14:35 UTC
The problem persists even after 4 years, in the latest popular version of Libre Office version Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1~trusty2
Locale: en-US (en_IN)

Open the attachment AntiMosquito-ArticleList.odt
go to row with "No." = '22'.
go to second column ""press the "del" button after placing it just after "L" of the "AGRICULTURAL" or "D" of "AND" the writer stops responding""
see screen shots. 

The words copied from the pdf attached.
See the screenshots of freezed writer. see the cursor type which is unnecessary in the position.
Comment 16 Aravind G 2016-09-20 15:15:55 UTC
Created attachment 127472 [details]
Pdf from where the words copied
Comment 17 Aravind G 2016-09-20 15:16:47 UTC
Created attachment 127473 [details]
File which freezes
Comment 18 Aravind G 2016-09-20 15:17:59 UTC
Comment on attachment 127473 [details]
File which freezes

Go to row with "no" = "22" and press the "del" button after placing it just after "L" of the "AGRICULTURAL" or "D" of "AND" the writer stops responding
Comment 19 Aravind G 2016-09-20 15:19:31 UTC
Created attachment 127474 [details]
see the frozen writer and the unneccessary cursor type. also the relevant row.
Comment 20 Aravind G 2016-09-20 15:24:04 UTC
I changed the version by mistake, don't know the original one in ver 3, please correct. sorry
Comment 21 Julien Nabet 2016-09-20 16:52:43 UTC
Oldest version is 3.6.4.3 so revert to this version
Comment 22 Julien Nabet 2016-09-20 16:56:23 UTC
Aravind G: You can give a try to 5.2.1 with LO ppa (see https://launchpad.net/~libreoffice/+archive/ubuntu/ppa)

BTW, you can check history with "history" link at top right of the bugtracker (that's how I reverted to the initial version)
Comment 23 Xisco Faulí 2017-09-29 08:51:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929